summaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
authorThorsten Glaser <tg@mirbsd.org>2014-05-03 11:29:42 +0000
committerWaldemar Brodkorb <wbx@openadk.org>2014-05-03 14:33:12 +0200
commit166aa788c57b5f842f89787b7d22dc47bc746602 (patch)
tree25f3a1511b301c66136b6eff599c8fe4e431a5ae /scripts
parentfe8d93fb5856f5a60da3125b9a4c17c85d9b5edc (diff)
move calling update-patches into a separate mksh script update-patches2 handling quoting much better
Signed-off-by: Thorsten Glaser <tg@mirbsd.org>
Diffstat (limited to 'scripts')
-rw-r--r--scripts/update-patches246
1 files changed, 46 insertions, 0 deletions
diff --git a/scripts/update-patches2 b/scripts/update-patches2
new file mode 100644
index 000000000..8f8711af7
--- /dev/null
+++ b/scripts/update-patches2
@@ -0,0 +1,46 @@
+#!/usr/bin/env mksh
+#-
+# Copyright © 2014
+# Thorsten Glaser <tg@mirbsd.org>
+#
+# Provided that these terms and disclaimer and all copyright notices
+# are retained or reproduced in an accompanying document, permission
+# is granted to deal in this work without restriction, including un‐
+# limited rights to use, publicly perform, distribute, sell, modify,
+# merge, give away, or sublicence.
+#
+# This work is provided “AS IS” and WITHOUT WARRANTY of any kind, to
+# the utmost extent permitted by applicable law, neither express nor
+# implied; without malicious intent or gross negligence. In no event
+# may a licensor, author or contributor be held liable for indirect,
+# direct, other damage, loss, or other issues arising in any way out
+# of dealing in the work, even if advised of the possibility of such
+# damage or existence of a defect, except proven that it results out
+# of said person’s immediate fault when using the work as intended.
+
+PATCH_LIST='patch-* *.patch'
+CURDIR=$PWD
+export CURDIR PATCH_LIST
+
+mksh "${TOPDIR}"/scripts/update-patches |&
+first=1
+set -A toedit
+while IFS= read -p -r; do
+ if (( first )); then
+ if [[ $REPLY = FAIL ]]; then
+ rm -rf "${WRKDIR1}.orig"
+ exit 1
+ fi
+ first=0
+ fi
+ toedit+=("$REPLY")
+done
+if (( !first )); then
+ print -n 'edit patches: '
+ read
+ cd patches
+ ${VISUAL:-${EDITOR:-vi}} "${toedit[@]}"
+ cd ..
+fi
+rm -rf "${WRKDIR1}.orig"
+exit 0